require 'active_support/core_ext/object/blank'
require 'rees46/configuration'
require 'rees46/tracker'
require 'rees46/requester'
require 'rees46/recommender'
require 'rees46/version'
require 'rees46/not_configured_error'

module REES46
  HOST = 'http://api.rees46.com'

  class << self
    attr_writer :configuration

    def configure
      yield configuration
      configuration.finalize
    end

    def configured?
      configuration.configured?
    end

    def configuration
      @configuration ||= Configuration.new
    end
  end
end
