module REES46
  class Configuration
    attr_accessor :shop_id
    attr_accessor :user_id
    attr_accessor :session_id

    def configured?
      shop_id.present? && session_id.present?
    end

    def finalize
      assign_session_id if session_id.blank?
    end

    def assign_session_id
      @session_id = REES46::Requester.generate_ssid(shop_id: @shop_id)
    end
  end
end
